summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorRemi Collet <remi@remirepo.net>2020-01-10 12:38:30 +0100
committerRemi Collet <remi@remirepo.net>2020-01-10 12:38:30 +0100
commitdf3d7150b4d076c1f735804feba2508ace170aa2 (patch)
tree2c915eb537cad97b0c77d6ff88a193756f85e39e
parent4908af44a66efc2f39ad0dd5a835314adfa8d12a (diff)
switch to LaminasHEADmaster
-rw-r--r--composer.json74
-rw-r--r--php-laminas-hydrator.spec166
2 files changed, 135 insertions, 105 deletions
diff --git a/composer.json b/composer.json
index f28cc0b..4d7dfe9 100644
--- a/composer.json
+++ b/composer.json
@@ -1,59 +1,60 @@
{
- "name": "zendframework/zend-hydrator",
+ "name": "laminas/laminas-hydrator",
"description": "Serialize objects to arrays, and vice versa",
"license": "BSD-3-Clause",
"keywords": [
- "zf",
- "zendframework",
+ "laminas",
"hydrator"
],
+ "homepage": "https://laminas.dev",
"support": {
- "docs": "https://docs.zendframework.com/zend-hydrator/",
- "issues": "https://github.com/zendframework/zend-hydrator/issues",
- "source": "https://github.com/zendframework/zend-hydrator",
- "rss": "https://github.com/zendframework/zend-hydrator/releases.atom",
- "chat": "https://zendframework-slack.herokuapp.com",
- "forum": "https://discourse.zendframework.com/c/questions/components"
+ "docs": "https://docs.laminas.dev/laminas-hydrator/",
+ "issues": "https://github.com/laminas/laminas-hydrator/issues",
+ "source": "https://github.com/laminas/laminas-hydrator",
+ "rss": "https://github.com/laminas/laminas-hydrator/releases.atom",
+ "chat": "https://laminas.dev/chat",
+ "forum": "https://discourse.laminas.dev"
+ },
+ "config": {
+ "sort-packages": true
+ },
+ "extra": {
+ "branch-alias": {
+ "dev-release-2.4": "2.4.x-dev"
+ },
+ "laminas": {
+ "component": "Laminas\\Hydrator",
+ "config-provider": "Laminas\\Hydrator\\ConfigProvider"
+ }
},
"require": {
"php": "^5.6 || ^7.0",
- "zendframework/zend-stdlib": "^3.0"
+ "laminas/laminas-stdlib": "^3.0",
+ "laminas/laminas-zendframework-bridge": "^1.0"
},
"require-dev": {
- "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
- "zendframework/zend-coding-standard": "~1.0.0",
- "zendframework/zend-eventmanager": "^2.6.2 || ^3.0",
- "zendframework/zend-filter": "^2.6",
- "zendframework/zend-inputfilter": "^2.6",
- "zendframework/zend-serializer": "^2.6.1",
- "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3"
+ "laminas/laminas-coding-standard": "~1.0.0",
+ "laminas/laminas-eventmanager": "^2.6.2 || ^3.0",
+ "laminas/laminas-filter": "^2.6",
+ "laminas/laminas-inputfilter": "^2.6",
+ "laminas/laminas-serializer": "^2.6.1",
+ "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
+ "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
},
"suggest": {
- "zendframework/zend-eventmanager": "^2.6.2 || ^3.0, to support aggregate hydrator usage",
- "zendframework/zend-filter": "^2.6, to support naming strategy hydrator usage",
- "zendframework/zend-serializer": "^2.6.1, to use the SerializableStrategy",
- "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3, to support hydrator plugin manager usage"
+ "laminas/laminas-eventmanager": "^2.6.2 || ^3.0, to support aggregate hydrator usage",
+ "laminas/laminas-filter": "^2.6, to support naming strategy hydrator usage",
+ "laminas/laminas-serializer": "^2.6.1, to use the SerializableStrategy",
+ "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3, to support hydrator plugin manager usage"
},
"autoload": {
"psr-4": {
- "Zend\\Hydrator\\": "src/"
+ "Laminas\\Hydrator\\": "src/"
}
},
"autoload-dev": {
"psr-4": {
- "ZendTest\\Hydrator\\": "test/"
- }
- },
- "config": {
- "sort-packages": true
- },
- "extra": {
- "branch-alias": {
- "dev-release-2.4": "2.4.x-dev"
- },
- "zf": {
- "component": "Zend\\Hydrator",
- "config-provider": "Zend\\Hydrator\\ConfigProvider"
+ "LaminasTest\\Hydrator\\": "test/"
}
},
"scripts": {
@@ -65,5 +66,8 @@
"cs-fix": "phpcbf",
"test": "phpunit --colors=always",
"test-coverage": "phpunit --colors=always --coverage-clover clover.xml"
+ },
+ "replace": {
+ "zendframework/zend-hydrator": "self.version"
}
}
diff --git a/php-laminas-hydrator.spec b/php-laminas-hydrator.spec
index b5ab754..0c9bb9e 100644
--- a/php-laminas-hydrator.spec
+++ b/php-laminas-hydrator.spec
@@ -1,4 +1,4 @@
-# remirepo/Fedora spec file for php-zendframework-zend-hydrator
+# remirepo/Fedora spec file for php-laminas-hydrator
#
# Copyright (c) 2016-2020 Remi Collet
# License: CC-BY-SA
@@ -7,11 +7,13 @@
# Please, preserve the changelog entries
#
%global bootstrap 0
-%global gh_commit 2bfc6845019e7b6d38b0ab5e55190244dc510285
+%global gh_commit 4a0e81cf05f32edcace817f1f48cb4055f689d85
%global gh_short %(c=%{gh_commit}; echo ${c:0:7})
-%global gh_owner zendframework
-%global gh_project zend-hydrator
+%global gh_owner laminas
+%global gh_project laminas-hydrator
+%global zf_name zend-hydrator
%global php_home %{_datadir}/php
+%global namespace Laminas
%global library Hydrator
%if %{bootstrap}
%global with_tests 0%{?_with_tests:1}
@@ -19,13 +21,13 @@
%global with_tests 0%{!?_without_tests:1}
%endif
-Name: php-%{gh_owner}-%{gh_project}
+Name: php-%{gh_project}
Version: 2.4.2
Release: 1%{?dist}
-Summary: Zend Framework %{library} component
+Summary: %{namespace} Framework %{library} component
License: BSD
-URL: https://zendframework.github.io/%{gh_project}/
+URL: https://github.com/%{gh_owner}/%{gh_project}
Source0: %{gh_commit}/%{name}-%{version}-%{gh_short}.tgz
Source1: makesrc.sh
@@ -36,86 +38,84 @@ BuildRequires: php(language) >= 5.6
BuildRequires: php-date
BuildRequires: php-reflection
BuildRequires: php-spl
-# From composer, "require-dev": {
-# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2",
-# "zendframework/zend-coding-standard": "~1.0.0",
-# "zendframework/zend-eventmanager": "^2.6.2 || ^3.0",
-# "zendframework/zend-filter": "^2.6",
-# "zendframework/zend-inputfilter": "^2.6",
-# "zendframework/zend-serializer": "^2.6.1",
-# "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3"
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-BuildRequires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-eventmanager) >= 2.6.2 with php-autoloader(%{gh_owner}/zend-eventmanager) < 4)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-filter) >= 2.6 with php-autoloader(%{gh_owner}/zend-filter) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-inputfilter) >= 2.6 with php-autoloader(%{gh_owner}/zend-inputfilter) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-serializer) >= 2.6.1 with php-autoloader(%{gh_owner}/zend-serializer) < 3)
-BuildRequires: (php-autoloader(%{gh_owner}/zend-servicemanager) >= 2.7.5 with php-autoloader(%{gh_owner}/zend-servicemanager) < 4)
-%global phpunit %{_bindir}/phpunit7
-BuildRequires: phpunit7 >= 7.1.4
-# remirepo:16
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+# From composer, "require-dev": {
+# "laminas/laminas-coding-standard": "~1.0.0",
+# "laminas/laminas-eventmanager": "^2.6.2 || ^3.0",
+# "laminas/laminas-filter": "^2.6",
+# "laminas/laminas-inputfilter": "^2.6",
+# "laminas/laminas-serializer": "^2.6.1",
+# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3",
+# "phpunit/phpunit": "^5.7.27 || ^6.5.8 || ^7.1.2"
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.0 with php-autoloader(%{gh_owner}/laminas-eventmanager) < 4)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-filter) >= 2.6 with php-autoloader(%{gh_owner}/laminas-filter) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-inputfilter) >= 2.6 with php-autoloader(%{gh_owner}/laminas-inputfilter) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-serializer) >= 2.6.1 with php-autoloader(%{gh_owner}/laminas-serializer) < 3)
+BuildRequires: (php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3 with php-autoloader(%{gh_owner}/laminas-servicemanager) < 4)
+# remirepo:9
%else
-BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
-BuildRequires: php-autoloader(%{gh_owner}/zend-stdlib) >= 3.0
-BuildRequires: php-autoloader(%{gh_owner}/zend-eventmanager) < 4
-BuildRequires: php-autoloader(%{gh_owner}/zend-eventmanager) >= 2.6.2
-BuildRequires: php-autoloader(%{gh_owner}/zend-filter) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-filter) >= 2.6
-BuildRequires: php-autoloader(%{gh_owner}/zend-inputfilter) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-inputfilter) >= 2.6
-BuildRequires: php-autoloader(%{gh_owner}/zend-serializer) < 3
-BuildRequires: php-autoloader(%{gh_owner}/zend-serializer) >= 2.6.1
-BuildRequires: php-autoloader(%{gh_owner}/zend-servicemanager) < 4
-BuildRequires: php-autoloader(%{gh_owner}/zend-servicemanager) >= 2.7.5
-%global phpunit %{_bindir}/phpunit6
-BuildRequires: phpunit6 >= 6.5.8
+BuildRequires: php-laminas-stdlib
+BuildRequires: php-laminas-zendframework-bridge
+BuildRequires: php-laminas-eventmanager
+BuildRequires: php-laminas-filter
+BuildRequires: php-laminas-inputfilter
+BuildRequires: php-laminas-serializer
+BuildRequires: php-laminas-servicemanager
%endif
+%global phpunit %{_bindir}/phpunit7
+BuildRequires: phpunit7 >= 7.1.4
%endif
# Autoloader
BuildRequires: php-fedora-autoloader-devel
# From composer, "require": {
-# "php": "^5.6 || ^7.0",
-# "zendframework/zend-stdlib": "^3.0"
+# "laminas/laminas-stdlib": "^3.0",
+# "laminas/laminas-zendframework-bridge": "^1.0"
Requires: php(language) >= 5.6
# remirepo:1
%if 0%{?fedora} >= 27 || 0%{?rhel} >= 8
-Requires: (php-autoloader(%{gh_owner}/zend-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/zend-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-stdlib) >= 3.0 with php-autoloader(%{gh_owner}/laminas-stdlib) < 4)
+Requires: (php-autoloader(%{gh_owner}/laminas-zendframework-bridge) >= 1.0 with php-autoloader(%{gh_owner}/laminas-zendframework-bridge) < 2)
+# From composer, "suggest": {
+# "laminas/laminas-eventmanager": "^2.6.2 || ^3.0, to support aggregate hydrator usage",
+# "laminas/laminas-filter": "^2.6, to support naming strategy hydrator usage",
+# "laminas/laminas-serializer": "^2.6.1, to use the SerializableStrategy",
+# "laminas/laminas-servicemanager": "^2.7.5 || ^3.0.3, to support hydrator plugin manager usage"
+Suggests: php-autoloader(%{gh_owner}/laminas-eventmanager) >= 3.0
+Suggests: php-autoloader(%{gh_owner}/laminas-filter) >= 2.6
+Suggests: php-autoloader(%{gh_owner}/laminas-serializer) >= 2.6.1
+Suggests: php-autoloader(%{gh_owner}/laminas-servicemanager) >= 3.0.3
# remirepo:4
%else
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) >= 3.0
-Requires: php-autoloader(%{gh_owner}/zend-stdlib) < 4
+Requires: php-laminas-stdlib
+Requires: php-laminas-zendframework-bridge
%endif
-# From composer, "suggest": {
-# "zendframework/zend-eventmanager": "^2.6.2 || ^3.0, to support aggregate hydrator usage",
-# "zendframework/zend-filter": "^2.6, to support naming strategy hydrator usage"
-# "zendframework/zend-serializer": "^2.6.1, to use the SerializableStrategy",
-# "zendframework/zend-servicemanager": "^2.7.5 || ^3.0.3, to support hydrator plugin manager usage",
-Suggests: php-autoloader(%{gh_owner}/zend-eventmanager) >= 2.6.2
-Suggests: php-autoloader(%{gh_owner}/zend-filter) >= 2.6
-Suggests: php-autoloader(%{gh_owner}/zend-serializer) >= 2.6.1
-Suggests: php-autoloader(%{gh_owner}/zend-servicemanager) >= 2.7.5
# Autoloader
Requires: php-composer(fedora/autoloader)
-# From phpcompatinfo report for version 1.1.0
-Requires: php-date
+# From phpcompatinfo report for version 2.4.2
Requires: php-reflection
+Requires: php-pcre
Requires: php-spl
-# Autoloader
-Requires: php-composer(%{gh_owner}/zend-loader) >= 2.5
-Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
+# Compatibily ensure by the bridge
+Obsoletes: php-zendframework-%{zf_name} < 2.4.2-99
+Provides: php-zendframework-%{zf_name} = %{version}-99
+Provides: php-composer(%{gh_owner}/%{gh_project}) = %{version}
+Provides: php-composer(zendframework/%{zf_name}) = %{version}
Provides: php-autoloader(%{gh_owner}/%{gh_project}) = %{version}
+Provides: php-autoloader(zendframework/%{zf_name}) = %{version}
%description
-Zend\Hydrator provides utilities for mapping arrays to objects,
+%{namespace}\Hydrator provides utilities for mapping arrays to objects,
and vice versa, including facilities for filtering which data
is mapped as well as providing mechanisms for mapping nested
structures.
-Documentation: https://zendframework.github.io/%{gh_project}/
+Documentation: https://docs.laminas.dev/%{gh_project}/
%prep
@@ -128,20 +128,34 @@ mv LICENSE.md LICENSE
phpab --template fedora --output src/autoload.php src
cat << 'EOF' | tee -a src/autoload.php
\Fedora\Autoloader\Dependencies::required([
- '%{php_home}/Zend/Stdlib/autoload.php',
+ '%{php_home}/%{namespace}/Stdlib/autoload.php',
]);
\Fedora\Autoloader\Dependencies::optional([
- '%{php_home}/Zend/EventManager/autoload.php',
- '%{php_home}/Zend/Serializer/autoload.php',
- '%{php_home}/Zend/ServiceManager/autoload.php',
- '%{php_home}/Zend/Filter/autoload.php',
+ '%{php_home}/%{namespace}/EventManager/autoload.php',
+ '%{php_home}/%{namespace}/Serializer/autoload.php',
+ '%{php_home}/%{namespace}/ServiceManager/autoload.php',
+ '%{php_home}/%{namespace}/Filter/autoload.php',
+]);
+EOF
+
+cat << 'EOF' | tee zf.php
+<?php
+require_once '%{php_home}/Fedora/Autoloader/autoload.php';
+\Fedora\Autoloader\Dependencies::required([
+ '%{php_home}/%{namespace}/ZendFrameworkBridge/autoload.php',
+ dirname(dirname(__DIR__)) . '/%{namespace}/%{library}/autoload.php',
]);
EOF
%install
-mkdir -p %{buildroot}%{php_home}/Zend/
-cp -pr src %{buildroot}%{php_home}/Zend/%{library}
+: Laminas library
+mkdir -p %{buildroot}%{php_home}/%{namespace}/
+cp -pr src %{buildroot}%{php_home}/%{namespace}/%{library}
+
+: Zend equiv
+mkdir -p %{buildroot}%{php_home}/Zend/%{library}
+cp -pr zf.php %{buildroot}%{php_home}/Zend/%{library}/autoload.php
%check
@@ -149,15 +163,22 @@ cp -pr src %{buildroot}%{php_home}/Zend/%{library}
mkdir vendor
cat << 'EOF' | tee vendor/autoload.php
<?php
-require_once '%{buildroot}%{php_home}/Zend/%{library}/autoload.php';
+require_once '%{buildroot}%{php_home}/%{namespace}/%{library}/autoload.php';
\Fedora\Autoloader\Dependencies::required([
- '%{php_home}/Zend/InputFilter/autoload.php',
+ '%{php_home}/%{namespace}/InputFilter/autoload.php',
]);
-\Fedora\Autoloader\Autoload::addPsr4('ZendTest\\%{library}\\', dirname(__DIR__) . '/test');
+\Fedora\Autoloader\Autoload::addPsr4('%{namespace}Test\\%{library}\\', dirname(__DIR__) . '/test');
EOF
+: check compat autoloader
+php -r '
+require "%{buildroot}%{php_home}/Zend/%{library}/autoload.php";
+exit (class_exists("\\Zend\\%{library}\\Reflection") ? 0 : 1);
+'
+
+: upstream test suite
ret=0
-for cmdarg in "php %{phpunit}" php71 php72 php73 php74; do
+for cmdarg in "php %{phpunit}" php72 php73 php74; do
if which $cmdarg; then
set $cmdarg
$1 ${2:-%{_bindir}/phpunit7} -d memory_limit=1G || ret=1
@@ -170,14 +191,19 @@ exit $ret
%files
+# remirepo:1
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc composer.json
%{php_home}/Zend/%{library}
+%{php_home}/%{namespace}/%{library}
%changelog
+* Fri Jan 10 2020 Remi Collet <remi@remirepo.net> - 2.4.2-1
+- switch to Laminas
+
* Thu Jan 2 2020 Remi Collet <remi@remirepo.net> - 2.4.2-1
- update to 2.4.2